from django.urls import path
from drinks import views

app_name = "drinks"


urlpatterns = [
    path("beers/", views.BeerListView.as_view(), name="beer_list"),
    path(
        "beers/<slug:slug>/",
        views.BeerDetailView.as_view(),
        name="beer_detail",
    ),
    path("wines/", views.WineListView.as_view(), name="wine_list"),
    path(
        "wines/search/",
        views.WineSearchView.as_view(),
        name="wine_search",
    ),
    path(
        "wines/scrobble-from-search/",
        views.WineScrobbleFromSearchView.as_view(),
        name="wine_scrobble_from_search",
    ),
    path(
        "wines/<slug:slug>/",
        views.WineDetailView.as_view(),
        name="wine_detail",
    ),
    path("coffees/", views.CoffeeListView.as_view(), name="coffee_list"),
    path(
        "coffees/<slug:slug>/",
        views.CoffeeDetailView.as_view(),
        name="coffee_detail",
    ),
    path("drinks/", views.DrinkListView.as_view(), name="drink_list"),
    path(
        "drinks/<slug:slug>/",
        views.DrinkDetailView.as_view(),
        name="drink_detail",
    ),
    path(
        "quick-water/",
        views.QuickWaterScrobbleView.as_view(),
        name="quick_water_scrobble",
    ),
]
